/* meko
 * Copyright (C) 2001 Scott James Remnant <scott@netsplit.com>.
 * All Rights Reserved.
 *
 * say2-channel-commands.h
 * -- 
 * $Id: say2-channel-commands.h,v 1.3 2001/11/01 20:51:05 scott Exp $
 * 
 * This file is distributed according to the GNU General Public
 * License.  For full details, read the top of 'main.c' or the
 * file called COPYING that was distributed with this code.
 */

#ifndef _MEKO_SAY2_CHANNEL_COMMANDS_H
#define _MEKO_SAY2_CHANNEL_COMMANDS_H

#include <say2/enaml.h>

#include "say2/say2-server.h"
#include "say2/say2-channel.h"

/* Temporary hacks */
void CHANNEL_signon(Say2Server *, Say2Channel *, const EnamlBlock *);
void CHANNEL_signoff(Say2Server *, Say2Channel *, const EnamlBlock *);
void CHANNEL_boot_user(Say2Server *, Say2Channel *, const EnamlBlock *);
void CHANNEL_say(Say2Server *, Say2Channel *, const EnamlBlock *);

#endif /* !_MEKO_SAY2_CHANNEL_COMMANDS_H */
