/* meko
 * Copyright (C) 2001 Scott James Remnant <scott@netsplit.com>.
 * All Rights Reserved.
 *
 * say2-server-commands.h
 * -- 
 * $Id: say2-server-commands.h,v 1.1 2001/08/21 10:01:02 scott Exp $
 * 
 * This file is distributed according to the GNU General Public
 * License.  For full details, read the top of 'main.c' or the
 * file called COPYING that was distributed with this code.
 */

#ifndef _MEKO_SAY2_SERVER_COMMANDS_H
#define _MEKO_SAY2_SERVER_COMMANDS_H

#include <glib.h>
#include <say2/enaml.h>

#include "say2/say2-server.h"

/* Dispatch a command received from a Say2 Server */
gboolean say2_server_command(Say2Server *, const gchar *, const EnamlBlock *);

#endif /* !_MEKO_SAY2_SERVER_COMMANDS_H */
