/* meko
 * Copyright (C) 2001 Scott James Remnant <scott@netsplit.com>.
 * All Rights Reserved.
 *
 * status-image-widget.h
 * -- 
 * $Id: status-image-widget.h,v 1.1.2.1 2001/11/23 22:19:55 scott Exp $
 * 
 * This file is distributed according to the GNU General Public
 * License.  For full details, read the top of 'main.c' or the
 * file called COPYING that was distributed with this code.
 */

#ifndef _MEKO_STATUS_IMAGE_WIDGET_H
#define _MEKO_STATUS_IMAGE_WIDGET_H

/* Required includes */
#include <glib.h>
#include <gtk/gtkwidget.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

#include "say2/say2-user.h"

/* Create a pixbuf for a user's statys image */
GdkPixbuf *meko_create_status_image(Say2UserStatus);

/* Create a widget containing an image for a user's status */
GtkWidget *meko_create_status_image_widget(Say2UserStatus);

#endif /* !_MEKO_STATUS_IMAGE_WIDGET_H */
