/* meko
 * Copyright (C) 2001 Scott James Remnant <scott@netsplit.com>.
 * All Rights Reserved.
 *
 * user-commands.h
 * -- 
 * $Id: user-commands.h,v 1.1 2001/10/02 22:54:18 scott Exp $
 * 
 * This file is distributed according to the GNU General Public
 * License.  For full details, read the top of 'main.c' or the
 * file called COPYING that was distributed with this code.
 */

#ifndef _MEKO_USER_COMMANDS_H
#define _MEKO_USER_COMMANDS_H

/* Required includes */
#include <glib.h>

#include "say2/say2-server.h"
#include "say2/say2-client.h"

/* Send something a user's typed in to a server as a command */
gchar *meko_user_command(Say2Server *, Say2Client *, const gchar *);

/* Send a message to someone on a server */
void meko_user_message(Say2Server *, Say2Client *, const gchar *,
		       const gchar *);

#endif /* !_MEKO_USER_COMMANDS_H */
